#!/bin/bash
#
# $Id: index.sh,v 1.10 2007/04/24 09:18:15 pv Exp $
#
SCHOOLNAME=`echo "uid admin
attributes o" | oss_get_user.pl text | grep '^o ' | sed 's/o //'`

cat<<EOF 
<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN">
<html>
	<head>
		<title>$SCHOOLNAME Portal</title>

		<meta http-equiv="keywords"
			content="$SCHOOLNAME Portal Open School Server">
		<meta http-equiv="description" content="$SCHOOLNAME Portal">
		<meta http-equiv="content-type" content="text/html; charset=UTF-8">

		<link rel="stylesheet" type="text/css" href="./ossportal.css">

	</head>

	<body>
		<div class="header">
			<h1>
				$SCHOOLNAME
				<br />
				Portal
			</h1>
		</div>

		<div class="intro">
			<a target="_new" href="http://www.openschoolserver.net">
			  <img class="intro" alt="" src="img/book.png" />
			</a>
			<div class="intro_text">
				<p>
					Der Open School Server hat mehrere Web-Anwendungen vorinstalliert.
					Wählen Sie eine hier aufgeführten Anwendungen aus.
				</p>
				<p>
					Als Zugangsdaten für jede dieser Anwendungen dient Ihre Open School
					Server Benutzerkennung und das zugehörige Passwort.
				</p>
				<p>
					Für Rückfragen wenden Sie sich bitte an Ihren Systembetreuer.
				</p>
			</div>

		</div>
EOF

if [ -e /srv/www/oss/joomla ]
then
cat<<EOF
		<div class="application_listing">
			<div class="application">
				<a target="_new" href="joomla/">
					<img class="application_logo" alt="" src="img/joomla/logo_joomla.png" />
				</a>
				<div class="application_title">
					Joomla Content Management System
				</div>

				<div class="application_desc">
					<a target="_new" href="joomla/"> Hier finden Sie die Intranet
						Web-Seite der Schule. Sie erhalten hier Informationen über die
						Schule und können bei entsprechender Berechtigung selbst Artikel
						verfassen.
					</a>
				</div>


			</div>
EOF
fi

if [ -e /srv/www/oss/openxchange ]
then
cat<<EOF
			<div class="application">
				<a target="_new" href="openxchange/">
					<img class="application_logo" alt="" src="img/ox/logo_ox.png" />
				</a>
				<div class="application_title">
					Open Exchange Groupware
				</div>
				<div class="application_desc">
					<a target="_new" href="openxchange/"> Hier geht's zur Open Exchange
						Groupware Lösung. Sie können E-Mails schreiben und empfangen,
						Ihren Kalender führen und Adressen pflegen. <br /> Nach
						entsprechender Freischaltung können Sie hier ausserdem Dokumente
						verwalten.
					</a>
				</div>

			</div>
EOF
fi

if [ -e /srv/www/oss/egroupware ]
then
cat<<EOF
			<div class="application">
				<a target="_new" href="egroupware/">
					<img class="application_logo" alt="" src="img/egw/logo_egw.png" />
				</a>
				<div class="application_title">
					E-Groupware
				</div>
				<div class="application_desc">
					<a target="_new" href="egroupware/">Hier geht's zur E-Groupware
						Lösung. Sie können E-Mails schreiben und empfangen, Ihren Kalender
						führen und Adressen pflegen.
					</a>
				</div>

			</div>
EOF
fi

if [ -e /srv/www/oss/moodle ]
then
cat<<EOF
			<div class="application">
				<a target="_new" href="moodle/">
					<img class="application_logo" alt="" src="img/moodle/logo_moodle.jpg" />
				</a>

				<div class="application_title">
					Moodle E-Learning
				</div>
				<div class="application_desc">
					<a target="_new" href="moodle/"> Anmelden bei der E-Learning
						Software Moodle. Als Lehrer können Sie Kurse anlegen und
						verwalten. Als Schüler können Sie die Kurse durcharbeiten und ggf.
						an angesetzten Tests teilnehmen.<br>
						<i>Dieser Link funktioniert nur intern.</i>
					</a>
				</div>

			</div>
EOF
fi
cat<<EOF
			<div class="application">
				<a target="_new" href="https://admin">
					<img class="application_logo" alt="" src="img/OSS/logo_oss.png" />
				</a>

				<div class="application_title">
					Open School Server Administration
				</div>
				<div class="application_desc">
					<a target="_new" href="https://admin"> Anmelden am Open School Server.
						Als Lehrer und Schüler können Sie hier Ihr Passwort ändern. Lehrer
						können ausserdem Ihr Klassenzimmer verwalten und Administratoren
						verwalten hier den OSS.<br>
						<i>Dieser Link funktioniert nur intern.</i>
					</a>
				</div>

			</div>
		</div>
	</body>
</html>
EOF


