#!/usr/bin/perl
BEGIN{
    push @INC,"/usr/share/oss/lib/";
}

use strict;
use Net::LDAP;
use Net::LDAP::Entry;
use oss;
use oss_utils;

my @dns     = ();

while(<STDIN>){
   # Clean up the line!
   chomp; s/^\s+//; s/\s+$//;
   if( $_ ne '' )
   { 
     push @dns, $_;
   }  
}

#Now we make LDAP connections
my $oss = oss->new();
if( $oss->connect_ldap('admin') ne 1 ) {
  die $oss->{ERROR}->{text};
}
$oss->connect_imap();

foreach my $dn ( @dns ) {
  $oss->delete_group($dn);
}
