#!/usr/bin/perl  -w
BEGIN{
    push @INC,"/usr/share/oss/lib/";
}

use strict;
use oss;
use oss_utils;

#Parse parameter
my $ip   = shift;
my $uid  = shift;
my $oss = oss->new();
if( $oss->connect_ldap('admin') ne 1 ) {
  die $oss->{ERROR}->{text};
}
$oss->init_sysconfig('file');

my $dn     = $oss->get_workstation($ip);
my $roomdn = get_parent_dn($dn);
my $fname  = `/usr/sbin/oss_get_home $uid`.'/bin/bigbrother.reg';
open(FILE,">$fname");  
print FILE 'Windows Registry Editor Version 5.00
[-HKEY_LOCAL_MACHINE\SOFTWARE\BigBrother]
[HKEY_LOCAL_MACHINE\SOFTWARE\BigBrother]
';
my $res  = $oss->{LDAP}->search( base   => $roomdn,
                           filter => "(objectclass=dhcpHost)",
                           scope  => 'one'
                         );

foreach my $entry ( $res->entries ) 
{
    print FILE "[HKEY_LOCAL_MACHINE\\SOFTWARE\\BigBrother\\".$entry->get_value('cn')."]\n";
}
close(FILE); 

