#!/usr/bin/perl
use Net::LDAP;

use strict;

my $ldap = Net::LDAP->new("ldap", port=>389, version => 3);
my $mess = $ldap->bind();
my $basedn=`gawk '/^base/ {print \$2}' /etc/openldap/ldap.conf`;
chomp $basedn;
$mess = $ldap->search(
                        base    => 'ou=group,'.$basedn,
                        scope   => 'one',
                        filter  => '(groupType=class)',
                        attrs   => ['cn']
                     );
system("rm /home/classes/*/*");
system("rm -r /home/classes/*");
system("mkdir -m 750 /home/classes");
system("chown root:teachers /home/classes");

foreach my $entry ( $mess->entries ) {
        my $cn = $entry->get_value('cn');
        system("mkdir -p -m 750 /home/classes/$cn");
        system("chown root:teachers /home/classes/$cn");
	 	
}

$mess = $ldap->search(
                        base    => 'ou=people,'.$basedn,
                        scope   => 'one',
                        filter  => '(role=students)',
                        attrs   => ['uid']
                     );


foreach my $entry ( $mess->entries ) {
        my $uid = $entry->get_value('uid');
        my $submessage = $ldap->search( base =>  'ou=group,'.$basedn,
                           scope => 'one',
                           filter => "(&(groupType=class)(memberuid=$uid))",
                           attrs => ['cn']);
        foreach my $sub_entry ($submessage->all_entries) {
                  my $cn = $sub_entry->get_value('cn');
                  system("ln -s /home/students/$uid /home/classes/$cn/$uid");
        }
        print "modified : $uid\n";
}

