#!/bin/bash
# Script to replay the files from /home/archiv

cd /home/archiv
mkdir -p tmp
for i in *tgz
do   
  tar xzf $i -C tmp
  cd tmp
  uid=`ls -d ??*`
  echo $uid
  homedir=`oss_get_home $uid`
  if [ "$homedir" ]
  then
    rsync -a $uid/profile /home/profile/$uid/
    chown -R $uid /home/profile/$uid/
    rm -r $uid/profile
    test -e $uid/UIDNUMBER && rm $uid/UIDNUMBER
    rsync -a $uid/ $homedir/
    chown -R $uid $homedir/
  fi
  rm -r $uid
  cd /home/archiv
done
